=== debian/changelog ===
miniflux (2.0.51-2ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 18 Jul 2025 15:05:51 +1000

miniflux (2.0.51-2ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 06 Nov 2024 16:11:13 +1000

miniflux (2.0.51-2ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 08:19:10 +0530

miniflux (2.0.51-2) unstable; urgency=medium

  * postinst: Create config folder
  * postrm: Only run dbc_go if dbconfig is still installed
  * Add myself to Uploaders

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 09 Feb 2024 13:12:16 -0500

miniflux (2.0.51-1) unstable; urgency=medium

  * Initial release (Closes: #1051912)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sat, 06 Jan 2024 18:23:20 +0800
