## miniflux 2.1.2

=== debian/changelog ===
miniflux (2.1.2-1) unstable; urgency=medium

  * New upstream version 2.1.2
  * Remove fix-rssbridge-import patch, applied upstream
  * Add debconf template translations:
    * Arabic
    * Dutch (Closes: #1068447)
    * French (Closes: #1068493)
    * German (Closes: #1068139)
    * Galician
    * Spanish (Closes: #1068533)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Wed, 10 Apr 2024 11:27:01 +0300

miniflux (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1
  * Fixup scripts, use debconf to prompt user for new admin account credentials
  * Override lintian source-is-missing error for testdata

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sat, 23 Mar 2024 18:34:15 +0800
