=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: miniflux
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>,
            James Valleroy <jvalleroy@mailbox.org>
 Rules-Requires-Root: no
@@ -10,6 +9,7 @@
  debhelper-compat (= 13),
  dh-exec,
  dh-golang,
+ po-debconf,
  golang-any,
  golang-github-puerkitobio-goquery-dev,
  golang-github-abadojack-whatlanggo-dev,
@@ -39,6 +39,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ debconf,
  dbconfig-pgsql | dbconfig-no-thanks,
  ucf,
 Built-Using: ${misc:Built-Using}
