## miniflux 2.1.3

=== debian/changelog ===
miniflux (2.1.3-1) unstable; urgency=medium

  * New upstream version 2.1.3

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Wed, 05 Jun 2024 10:18:33 +0800
