=== debian/control ===
--- 
+++ 
@@ -11,14 +11,15 @@
  dh-golang,
  po-debconf,
  golang-any,
- golang-github-puerkitobio-goquery-dev,
  golang-github-abadojack-whatlanggo-dev,
+ golang-github-andybalholm-brotli-dev (>= 1.1.0),
  golang-github-coreos-go-oidc-v3-dev,
  golang-github-go-webauthn-webauthn-dev,
  golang-github-google-uuid-dev,
  golang-github-gorilla-mux-dev,
  golang-github-lib-pq-dev,
  golang-github-prometheus-client-golang-dev,
+ golang-github-puerkitobio-goquery-dev,
  golang-github-tdewolff-minify-dev,
  golang-github-yuin-goldmark-dev,
  golang-golang-x-crypto-dev,
