=== debian/changelog ===
miniflux (2.1.4-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 03 Jul 2025 14:33:29 +1000

miniflux (2.1.4-1) unstable; urgency=medium

  * New upstream version 2.1.4

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Fri, 12 Jul 2024 11:19:20 +0800
