=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: miniflux
 Section: web
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>,
            James Valleroy <jvalleroy@mailbox.org>
 Rules-Requires-Root: no
