## miniflux 2.2.0

=== debian/changelog ===
miniflux (2.2.0-2) unstable; urgency=medium

  * Specify --with=installsysusers in d/rules
  * Override lintian error for dh-installsysusers
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Thu, 29 Aug 2024 18:55:22 +0800

miniflux (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * Run service under its own user and unit hardening (Closes: #1078416)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sat, 24 Aug 2024 12:13:23 +0800
