=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: miniflux
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>,
            James Valleroy <jvalleroy@mailbox.org>
 Rules-Requires-Root: no
@@ -29,7 +28,7 @@
  golang-golang-x-term-dev,
  golang-mvdan-xurls-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/miniflux
 Vcs-Git: https://salsa.debian.org/go-team/packages/miniflux.git
 Homepage: https://miniflux.app
