## miniflux 2.2.4

=== debian/changelog ===
miniflux (2.2.4-2) unstable; urgency=medium

  * Create miniflux user in postinst and chown config (Closes: #1081562)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Thu, 02 Jan 2025 15:32:05 +0800

miniflux (2.2.4-1) unstable; urgency=medium

  * New upstream version 2.2.4
  * Add new Build-Depends

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Mon, 30 Dec 2024 17:32:33 +0800
