=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
  golang-github-tdewolff-minify-dev,
  golang-github-yuin-goldmark-dev,
  golang-golang-x-crypto-dev,
+ golang-golang-x-image-dev,
  golang-golang-x-net-dev,
  golang-golang-x-oauth2-dev,
  golang-golang-x-term-dev,
@@ -40,6 +41,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ adduser (>= 3.11),
  debconf,
  dbconfig-pgsql | dbconfig-no-thanks,
  ucf,
