## miniflux 2.2.5

=== debian/changelog ===
miniflux (2.2.5-1) unstable; urgency=medium

  * New upstream version 2.2.5
  * Declare Static-Built-Using field

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Wed, 22 Jan 2025 18:18:27 +0800
