=== debian/changelog ===
miniflux (2.2.6-2) unstable; urgency=medium

  [ Maytham Alsudany ]
  * Add debconf template translation for Portuguese (Closes: #1101151)

  [ Carles Pina i Estany ]
  * Add debconf template translation for Catalan (Closes: #1106016)

 -- Maytham Alsudany <maytham@debian.org>  Sun, 03 Aug 2025 14:43:41 +0800

miniflux (2.2.6-1) unstable; urgency=medium

  * New upstream version 2.2.6
  * Add debconf template translation for Brazilian Portuguese (Closes: #1098445)
  * Patch to fix import comments

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Tue, 25 Feb 2025 08:13:05 +0800
