=== debian/control ===
--- 
+++ 
@@ -46,6 +46,7 @@
  dbconfig-pgsql | dbconfig-no-thanks,
  ucf,
 Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: minimalist and opinionated feed reader
  Miniflux is a minimalist and opinionated feed reader:
    - Written in Go (Golang)
