=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	-X 'miniflux.app/v2/internal/version.BuildDate=$(BUILD_DATE)'
 
 %:
-	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+	dh $@ --builddirectory=_build --buildsystem=golang --with=golang --with=installsysusers
 
 override_dh_auto_build:
 	dh_auto_build -- -ldflags "$(LD_FLAGS)"
