## miniflux 2.2.10

=== debian/changelog ===
miniflux (2.2.10-1) experimental; urgency=medium

  [ Maytham Alsudany ]
  * New upstream version 2.2.10
  * Add debconf template translation for Portuguese (Closes: #1101151)
  * Remove patch that was applied upstream
  * Update my maintenance email
  * Bump Standards-Version to 4.7.2 (no changes)

  [ Carles Pina i Estany ]
  * Add debconf template translation for Catalan (Closes: #1106016)

 -- Maytham Alsudany <maytham@debian.org>  Tue, 15 Jul 2025 12:03:47 +0800
