## miniflux 2.2.11

=== debian/changelog ===
miniflux (2.2.11-1) experimental; urgency=medium

  * New upstream version 2.2.11

 -- Maytham Alsudany <maytham@debian.org>  Sun, 03 Aug 2025 15:04:55 +0800
