## miniflux 2.2.12

=== debian/changelog ===
miniflux (2.2.12-1) unstable; urgency=medium

  [ Maytham Alsudany ]
  * Add debconf template translation for Portuguese (Closes: #1101151)
  * Upload to unstable
  * New upstream version 2.2.12

  [ Carles Pina i Estany ]
  * Add debconf template translation for Catalan (Closes: #1106016)

 -- Maytham Alsudany <maytham@debian.org>  Thu, 21 Aug 2025 16:53:13 +0800
