=== debian/changelog ===
miniflux (2.2.13-1) unstable; urgency=medium

  * New upstream version 2.2.13

 -- Maytham Alsudany <maytham@debian.org>  Sun, 12 Oct 2025 18:51:05 +0800
