=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>,
+Uploaders: Maytham Alsudany <maytham@debian.org>,
            James Valleroy <jvalleroy@mailbox.org>
 Rules-Requires-Root: no
 Build-Depends:
@@ -29,7 +29,7 @@
  golang-golang-x-term-dev,
  golang-mvdan-xurls-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/miniflux
 Vcs-Git: https://salsa.debian.org/go-team/packages/miniflux.git
 Homepage: https://miniflux.app
