=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,3 @@
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
-
-override_dh_installchangelogs:
-	dh_installchangelogs ChangeLog
