## miniflux 2.2.16

=== debian/changelog ===
miniflux (2.2.16-2) unstable; urgency=medium

  * Handle removal of /etc/miniflux/database file in maint scripts

 -- Maytham Alsudany <maytham@debian.org>  Sat, 10 Jan 2026 20:26:49 +0800

miniflux (2.2.16-1) unstable; urgency=medium

  * New upstream version 2.2.16
    * Includes fix for CVE-2025-67713 (Closes: #1122583)
  * Remove admin account creation prompt in favour of doing so manually
  * Bump Standards-Version to 4.7.3

 -- Maytham Alsudany <maytham@debian.org>  Thu, 08 Jan 2026 15:58:09 +0800
