=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: miniflux
 Section: web
-Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Maytham Alsudany <maytham@debian.org>,
            James Valleroy <jvalleroy@mailbox.org>
@@ -29,7 +28,7 @@
  golang-golang-x-term-dev,
  golang-mvdan-xurls-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/miniflux
 Vcs-Git: https://salsa.debian.org/go-team/packages/miniflux.git
 Homepage: https://miniflux.app
